# Package com.sun.mail.iap

- Interface Summary
  Interface | Description
  --- | ---
  Literal | An interface for objects that provide data dynamically for use in a literal protocol element.
  ResponseHandler | This class

- Class Summary
  Class | Description
  --- | ---
  Argument |
  ByteArray | A simple wrapper around a byte array, with a start position and count of bytes.
  Protocol | General protocol handling code for IMAP-like protocols.
  Response | This class represents a response obtained from the input stream of an IMAP server.
  ResponseInputStream | Inputstream that is used to read a Response.

- Exception Summary
  Exception | Description
  --- | ---
  BadCommandException |
  CommandFailedException |
  ConnectionException |
  LiteralException |
  ParsingException |
  ProtocolException |

Copyright © 2016 Oracle. All rights reserved.